[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Pulp-list] unable to use pulp centos repos for vm installation



On Tue, Apr 09, 2013 at 12:21:17PM +0100, Bruno Savioli de Almeida wrote:
> Hi All,
> 
> I have been using pulp for the last couple weeks and one the things I am
> trying to do is, to keep one centos 6 repository syncd daily from an
> upstream mirror (centos6_x86-64_latest) and periodically create copies of
> this repo (centos6_x86-64_20130409).
> 
> I can do that without any major issues and I can use the copied repository
> on any existing system.
> 
> I am now trying to use the the copied repository or even the original
> synced repository as the install tree using cobbler, but I'm having some
> issues.
> 
> Anaconda dies with this mesage: "SyntaxError: not well-formed (invalid
> token): line1, column 0" message whenever it reads the group.xml.gz file in
> the repodata directory
> 
> If I create a new repo and copy only the distribution and rpms, anaconda
> fails obviously because it cannot find the group information.
> 
> However, if I use the same upstream centos mirror directly, I can build the
> vms without any problems...
> 
> One difference I noticed is that group.xml.gz doesn't exist in the upstream
> mirrors, instead they have comps.xml.gz, which I believe is the same
> content.
> 
> Has anyone seen this happening before?

on my todo list to do installs from a pulp repo but haven't gotten to it
yet.

what pulp version are you using?  there have been a number of repo fixes
in the 2.1 beta series...

Steve


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]